---
bases:
  - ../../bases/helmDefaults.yaml
  - ../../bases/environments.yaml

---
repositories:
  - name: hashicorp
    url: https://helm.releases.hashicorp.com

releases:
  - name: consul-secrets
    chart: oci://registry.ops.gitlab.net/gitlab-com/gl-infra/charts/vault-secrets
    version: ~1.2
    namespace: consul
    installed: {{ .Values | get "consul_gl.installed" false }}
    disableValidationOnInstall: true
    values:
      - values-secrets/values.yaml.gotmpl
      - 'values-secrets/{{ .Environment.Name }}.yaml.gotmpl'

  - name: consul-gl
    chart: hashicorp/consul
    version: {{ .Values | get "consul_gl.chart_version" nil }}
    installed: {{ .Values | get "consul_gl.installed" false }}
    namespace: consul
    values:
      - values-consul-gl.yaml.gotmpl
      - 'values-consul-gl/{{ $.Values | get "env_prefix" $.Environment.Name }}.yaml.gotmpl'
      - 'values-consul-gl/{{ .Environment.Name }}.yaml.gotmpl'

  - name: consul-gl-extras
    chart: charts/consul-gl-extras
    namespace: consul
    installed: {{ .Values | get "consul_gl.installed" false }}
    values:
      - values-consul-gl.yaml.gotmpl
      - 'values-consul-gl/{{ $.Values | get "env_prefix" $.Environment.Name }}.yaml.gotmpl'
      - 'values-consul-gl/{{ .Environment.Name }}.yaml.gotmpl'
